> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plutus.systems/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Analysis



## OpenAPI

````yaml POST /submit/analysis
openapi: 3.1.0
info:
  title: 'Asclepius: API'
  description: Internal REST API for the Asclepius Molecular Dynamics Engine
  termsOfService: http://example.com/terms/
  contact:
    name: Support Team
    url: https://www.vorticity.xyz/
    email: hello@vorticity.xyz
  license:
    name: MIT License
    url: https://opensource.org/licenses/MIT
  version: 0.1.0
servers:
  - url: https://98i2es6mi4.execute-api.us-west-2.amazonaws.com/prod
    description: Prod
security:
  - ApiKeyAuth: []
paths:
  /submit/analysis:
    post:
      summary: Submit Analysis
      operationId: submit_analysis_submit_analysis_post
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AnalysisCreateParams'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AnalysisCreateParams:
      properties:
        downsample_frames:
          anyOf:
            - type: integer
            - type: 'null'
          title: Downsample Frames
          description: >-
            Interval for frame downsampling; e.g., 10 means keep every 10th
            frame
        distance_masks:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Distance Masks
          description: List of atom selection masks for distance calculations
        rmsd_masks:
          anyOf:
            - items:
                items:
                  type: string
                type: array
              type: array
            - type: 'null'
          title: Rmsd Masks
          description: List of pairs of atom selection masks for RMSD calculation
        rmsf_masks:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Rmsf Masks
          description: List of atom selection masks for RMSF calculation
        hbond_angle:
          anyOf:
            - type: integer
            - type: 'null'
          title: Hbond Angle
          description: Hydrogen bond angle cutoff in degrees
        hbond_distance:
          anyOf:
            - type: integer
            - type: 'null'
          title: Hbond Distance
          description: Hydrogen bond distance cutoff in Angstroms
      type: object
      title: AnalysisCreateParams
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````